Commits

Ivan Vučica committed b96aaf7

Building interesting applications

  • Participants
  • Parent commits 3658aab

Comments (0)

Files changed (13)

GNUstep with libobjc2 on Ubuntu.sh

 . "$GSU_SCRIPT_ROOT/phases/46-build-gnustep-opal.sh"
 . "$GSU_SCRIPT_ROOT/phases/50-build-gnustep-quartzcore.sh"
 
+. "$GSU_SCRIPT_ROOT/phases/60-build-app-systempreferences.sh"
+. "$GSU_SCRIPT_ROOT/phases/65-build-app-ink.sh"
+. "$GSU_SCRIPT_ROOT/phases/70-build-app-calculator.sh"
+. "$GSU_SCRIPT_ROOT/phases/75-build-app-simpleagenda.sh"
+

phases/00-ubuntu-deps.sh

 # required.
 sudo apt-get install libgnutls-dev
 
-
+# For SimpleAgenda
+sudo apt-get install libical-dev

phases/05-vcs-checkout.sh

 	exit 1
 fi
 
+echo "Downloading from version control: SimpleAgenda"
+echo "=============================================="
+if svn://coyote.octets.fr/gnustep/SimpleAgenda/trunk SimpleAgenda ; then
+	echo "Ok"
+else
+	echo "Failed SimpleAgenda download"
+	exit 1
+fi
+
+
 
 if [ "$WITH_ETOILE" == "1" ]; then
 	echo "Downloading from version control: Etoile"

phases/25-build-gnustep-base.sh

 echo "Building GNUstep Base"
 echo "====================="
 
-if [ -e /GNUstep/Local/Library/Headers/Foundation/NSObject.h ] ; then
+if [ -e /GNUstep/System/Library/Headers/Foundation/NSObject.h ] ; then
 	echo "Skipping; looks like Foundation is already installed"
 else
 	# - Build and Install GNUstep Base:

phases/30-build-gnustep-gui.sh

 echo "Building GNUstep GUI"
 echo "===================="
 
-if [ -e /GNUstep/Local/Library/Headers/AppKit/NSWindow.h ] ; then
+if [ -e /GNUstep/System/Library/Headers/AppKit/NSWindow.h ] ; then
 	echo "Skipping; looks like GNUstep GUI is already installed"
 else
 	cd gnustep/core/gui/

phases/35-build-gnustep-back.sh

 echo "Building GNUstep Back (with cairo)"
 echo "=================================="
 
-if [ -e /GNUstep/Local/Library/Bundles/libgnustep-back-023.bundle/libgnustep-back-023 ] ; then
+if [ -e /GNUstep/System/Library/Bundles/libgnustep-back-023.bundle/libgnustep-back-023 ] ; then
 	echo "Skipping; looks like GNUstep Back is already installed"
 else
 	cd gnustep/core/back/

phases/40-build-gnustep-corebase.sh

 echo "Building GNUstep CoreBase"
 echo "========================="
 
-if [ -e /GNUstep/Local/Library/Headers/CoreFoundation/CoreFoundation.h ] ; then
+if [ -e /GNUstep/System/Library/Headers/CoreFoundation/CoreFoundation.h ] ; then
 	echo "Skipping; looks like GNUstep CoreBase is already installed"
 else
 	cd gnustep/dev-libs/corebase/

phases/46-build-gnustep-opal.sh

 echo "Building GNUstep Opal"
 echo "====================="
 
-if [ -e /GNUstep/Local/Library/Headers/CoreGraphics/CoreGraphics.h ] ; then
+if [ -e /GNUstep/System/Library/Headers/CoreGraphics/CoreGraphics.h ] ; then
 	echo "Skipping; looks like GNUstep Opal is already installed"
 else
 	cd gnustep/dev-libs/opal/
+
 	if [ "$WITH_CLEAN" -eq 1 ] ; then
 		make distclean
 	fi

phases/50-build-gnustep-quartzcore.sh

 	echo "Skipping; looks like GNUstep QuartzCore is already installed"
 else
 	cd gnustep/dev-libs/quartzcore/
-
+	
 	if [ "$WITH_CLEAN" -eq 1 ] ; then
-		make clean
+		make distclean
 	fi
 
-	if make -j 3 && sudo -E make install ; then
+	if make -j 3 && sudo -E make GNUSTEP_INSTALLATION_DOMAIN=SYSTEM install ; then
 		echo Ok
 	else
 		echo "Failed to build GNUstep QuartzCore"

phases/60-build-app-systempreferences.sh

+#!/bin/bash
+
+cd "$GSU_BUILD_ROOT"/
+
+echo "Building GNUstep SystemPreferences"
+echo "==========================="
+
+if [ -e /GNUstep/System/Applications/SystemPreferences.app/SystemPreferences ] ; then
+	echo "Skipping; looks like GNUstep SystemPreferences is already installed"
+else
+	cd gnustep/usr-apps/systempreferences/
+
+	if [ "$WITH_CLEAN" -eq 1 ] ; then
+		make distclean
+	fi
+
+	if make -j 3 && sudo -E make GNUSTEP_INSTALLATION_DOMAIN=SYSTEM install ; then
+		echo Ok
+	else
+		echo "Failed to build GNUstep SystemPreferences"
+		exit 1
+	fi
+fi

phases/65-build-app-ink.sh

+#!/bin/bash
+
+cd "$GSU_BUILD_ROOT"/
+
+echo "Building GNUstep Ink"
+echo "==========================="
+
+if [ -e /GNUstep/System/Applications/Ink.app/Ink ] ; then
+	echo "Skipping; looks like GNUstep Ink is already installed"
+else
+	cd gnustep/usr-apps/examples/gui/Ink/
+
+	if [ "$WITH_CLEAN" -eq 1 ] ; then
+		make distclean
+	fi
+
+	if make -j 3 && sudo -E make GNUSTEP_INSTALLATION_DOMAIN=SYSTEM install ; then
+		echo Ok
+	else
+		echo "Failed to build GNUstep Ink"
+		exit 1
+	fi
+fi

phases/70-build-app-calculator.sh

+#!/bin/bash
+
+cd "$GSU_BUILD_ROOT"/
+
+echo "Building GNUstep Calculator"
+echo "==========================="
+
+if [ -e /GNUstep/System/Applications/Calculator.app/Calculator ] ; then
+	echo "Skipping; looks like GNUstep Calculator is already installed"
+else
+	cd gnustep/usr-apps/examples/gui/Calculator/
+
+	if [ "$WITH_CLEAN" -eq 1 ] ; then
+		make distclean
+	fi
+
+	if make -j 3 && sudo -E make GNUSTEP_INSTALLATION_DOMAIN=SYSTEM install ; then
+		echo Ok
+	else
+		echo "Failed to build GNUstep Calculator"
+		exit 1
+	fi
+fi

phases/75-build-app-simpleagenda.sh

+#!/bin/bash
+
+cd "$GSU_BUILD_ROOT"/
+
+echo "Building SimpleAgenda"
+echo "==========================="
+
+if [ -e /GNUstep/System/Applications/SimpleAgenda.app/SimpleAgenda ] ; then
+	echo "Skipping; looks like SimpleAgenda is already installed"
+else
+	cd SimpleAgenda/
+
+	if [ "$WITH_CLEAN" -eq 1 ] ; then
+		make distclean
+	fi
+
+	if make -j 3 && sudo -E make GNUSTEP_INSTALLATION_DOMAIN=SYSTEM install ; then
+		echo Ok
+	else
+		echo "Failed to build SimpleAgenda"
+		exit 1
+	fi
+fi